Package org.eclipse.birt.core.archive.compound

# Class ArchiveEntry

java.lang.Object
org.eclipse.birt.core.archive.compound.ArchiveEntry

Direct Known Subclasses:
  `ArchiveEntryAdapter`, `ArchiveEntryV3`, `FolderArchiveEntry`

public abstract class ArchiveEntry extends Object
the user must close the archive

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`name`
`protected RAOutputStream`
`output`

## Constructor Summary

Constructors
Constructor
Description
`ArchiveEntry(String name)`

## Method Summary

Modifier and Type
Method
Description
`abstract void`
`close()`
`void`
`flush()`
`abstract long`
`getLength()`
`String`
`getName()`
`abstract int`
`read(long pos, byte[] b, int off, int len)`
`void`
`refresh()`
`abstract void`
`setLength(long length)`
`protected void`
`setOutputStream(RAOutputStream output)`
`abstract void`
`write(long pos, byte[] b, int off, int len)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### name

protected String name

### output

protected RAOutputStream output

## Constructor Details

### ArchiveEntry

public ArchiveEntry(String name)

## Method Details

### getName

public String getName()

### setOutputStream

protected void setOutputStream(RAOutputStream output)

### getLength

public abstract long getLength() throws IOException

Throws:
  `IOException`

### setLength

public abstract void setLength(long length) throws IOException

Throws:
  `IOException`

### flush

public void flush() throws IOException

Throws:
  `IOException`

### refresh

public void refresh() throws IOException

Throws:
  `IOException`

### read

public abstract int read(long pos, byte[] b, int off, int len) throws IOException

Throws:
  `IOException`

### write

public abstract void write(long pos, byte[] b, int off, int len) throws IOException

Throws:
  `IOException`

### close

public abstract void close() throws IOException

Throws:
  `IOException`